Index: redseq.f
===================================================================
--- redseq.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ redseq.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,46 +1,42 @@
-!**************************************************************
-!
-! This file contains the subroutines: redseq
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: redseq
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine redseq
 
-! ............................................................
-! PURPOSE: read 'lunseq' 'seqfil', extract names of molecules,
-!          sequences
-!
-! Molecules are separated by lines containing char. '#',
-!           a name for the molecule may follow '#' on this line
-! Residue   names can be of 1-4 characters to be separated by ' '
-!
-! Returns: ntlml,nmml,irsml1,irsml2,seq
-!
-! CALLS:   ibegst,iendst,iopfil,tolost
-! ............................................................
+c ............................................................
+c PURPOSE: read 'lunseq' 'seqfil', extract names of molecules,
+c          sequences
+c
+c Molecules are separated by lines containing char. '#',
+c           a name for the molecule may follow '#' on this line
+c Residue   names can be of 1-4 characters to be separated by ' '
+c
+c Returns: ntlml,nmml,irsml1,irsml2,seq
+c
+c CALLS:   ibegst,iendst,iopfil,tolost
+c ............................................................
 
       include 'INCL.H'
 
-      ! Function definitions
-      integer iofil, iendst, ibegst, iopfil
-
       character blnk,res*4,line*132,hlin*132
-      integer i, i1, i2, ifirs, ie, id, ib, ic, ii, l, lg, nln, nrs
       data blnk/' '/
 
       if (iopfil(lunseq,seqfil,'old','formatted').le.izero) then
-        write (logString, '(a,/,a,i3,2a)') 
-     &    ' redseq> ERROR opening sequence file:',
-     &      ' LUN=',lunseq,' FILE=',seqfil(1:iendst(seqfil))
+        write (*,'(a,/,a,i3,2a)') 
+     #    ' redseq> ERROR opening sequence file:',
+     #      ' LUN=',lunseq,' FILE=',seqfil(1:iendst(seqfil))
         stop
       endif
 
-!      ntlml=0
+c      ntlml=0
       if (ntlml.gt.0) then
         nrs = irsml2(ntlml)
@@ -60,5 +56,5 @@
         if (ic.gt.0) then  ! found '#'
 
-! ____________________________________ new molecule
+c ____________________________________ new molecule
 
           if (ntlml.gt.0) then   ! check previous molecule
@@ -67,6 +63,6 @@
 
             if ((nrs-irsml1(ntlml)+1).eq.0) then
-              write (logString, '(2a)') ' redseq> IGNORE molecule: ',
-     &                        nmml(ntlml)(1:iendst(nmml(ntlml)))
+              write(*,'(2a)') ' redseq> IGNORE molecule: ',
+     #                        nmml(ntlml)(1:iendst(nmml(ntlml)))
               ntlml=ntlml-1
             endif
@@ -74,7 +70,6 @@
           ntlml=ntlml+1
           if (ntlml.gt.mxml) then
-            write (logString, '(a,i4,2a)') 
-     &                          ' redseq> NUMBER of molecules > '
-     &                          ,mxml,' in ',seqfil(1:iendst(seqfil))
+            write(*,'(a,i4,2a)')' redseq> NUMBER of molecules > '
+     #                          ,mxml,' in ',seqfil(1:iendst(seqfil))
             close(lunseq)
             stop
@@ -85,5 +80,5 @@
 
           if (ic.le.lg) then
-! ___________________________________ extract name of molecule
+c ___________________________________ extract name of molecule
 
             hlin=blnk
@@ -104,5 +99,5 @@
         else  ! no '#'
 
-! _________________________________________ sequence
+c _________________________________________ sequence
 
           ib=ibegst(line)
@@ -115,5 +110,5 @@
 
           ie=iendst(line)
-! ___________________________________ extract names of residues
+c ___________________________________ extract names of residues
     2     id=index(line(ib:ie),blnk)-1   ! find next separator
           if (id.gt.0) then
@@ -125,7 +120,7 @@
 
           if (id.gt.4) then
-            write (logString, '(4a)') ' redseq> INVALID residue NAME >',
-     &                       line(ib:ii),'< in ',
-     &      seqfil(1:iendst(seqfil))
+            write (*,'(4a)') ' redseq> INVALID residue NAME >',
+     #                       line(ib:ii),'< in ',
+     #      seqfil(1:iendst(seqfil))
             close(lunseq)
             stop
@@ -134,7 +129,6 @@
             nrs=nrs+1
             if (nrs.gt.mxrs) then
-              write (logString, '(a,i4,2a)') 
-     &                       ' redseq> NUMBER of residues > '
-     &                       ,mxrs,' in ',seqfil(1:iendst(seqfil))
+              write(*,'(a,i4,2a)') ' redseq> NUMBER of residues > '
+     #                       ,mxrs,' in ',seqfil(1:iendst(seqfil))
               close(lunseq)
               stop
@@ -161,9 +155,9 @@
 
     3 close(lunseq)
-! ___________________________________ output
+c ___________________________________ output
 
       if (nrs.eq.0) then
-        write (logString, '(2a)') ' redseq> no residues found in ',
-     &                   seqfil(1:iendst(seqfil))
+        write (*,'(2a)') ' redseq> no residues found in ',
+     #                   seqfil(1:iendst(seqfil))
         stop
       else
@@ -181,11 +175,10 @@
           if (i.eq.ntlml) then   ! Check last molecule
             if ((nrs-ifirs+1).eq.0) then
-              write (logString, '(2a)') ' redseq> IGNORE molecule '
-     &                        ,nmml(ntlml)(1:iendst(nmml(ntlml)))
+              write(*,'(2a)') ' redseq> IGNORE molecule '
+     #                        ,nmml(ntlml)(1:iendst(nmml(ntlml)))
               ntlml=ntlml-1
               if (ntlml.eq.0) then
-                write (logString, '(2a)') 
-     &             ' redseq> no residues found in ',
-     &             seqfil(1:iendst(seqfil))
+                write (*,'(2a)') ' redseq> no residues found in ',
+     #          seqfil(1:iendst(seqfil))
                 stop
               endif
@@ -195,8 +188,8 @@
           endif
 
-!          write (logString, '(/,a,i4,2a)') ' redseq> ',irsml2(i)-irsml1(i)+1,
-!     &           ' residue(s) in molecule: ',
-!     &           nmml(i)(1:iendst(nmml(i)))
-!          write (logString, '(15(1x,a))') (seq(j),j=irsml1(i),irsml2(i))
+cc          write (*,'(/,a,i4,2a)') ' redseq> ',irsml2(i)-irsml1(i)+1,
+cc     #           ' residue(s) in molecule: ',
+cc     #           nmml(i)(1:iendst(nmml(i)))
+cc          write (*,'(15(1x,a))') (seq(j),j=irsml1(i),irsml2(i))
 
         enddo
@@ -204,8 +197,8 @@
       endif
       return
-! _______________________________________________ error
-
-    4 write (logString, '(a,i4,2a)') ' redseq> ERROR reading line No. ',nln,
-     & ' in ',seqfil(1:iendst(seqfil))
+c _______________________________________________ error
+
+    4 write (*,'(a,i4,2a)') ' redseq> ERROR reading line No. ',nln,
+     #' in ',seqfil(1:iendst(seqfil))
       close(lunseq)
       stop
Index: redstr.f
===================================================================
--- redstr.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ redstr.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,41 +1,37 @@
-!**************************************************************
-!
-! This file contains the subroutines: extstr,ibegst,iendst,
-!                                     iredin,iredrl,iopfil,
-!                                     tolost,toupst
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: extstr,ibegst,iendst,
+c                                     iredin,iredrl,iopfil,
+c                                     tolost,toupst
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine extstr(spr,ib,ie,str,strn,l)
 
-! ..........................................................
-! PURPOSE:  Extract substring preceeding separator 'spr'
-!           from 'str' searching from position 'ib' up to
-!           position 'ie' and put it into 'strn(1:l)'.
-!           'ib' is shifted to position following 'spr' or
-!           to 'ie+1', if 'spr' is not found
-!
-!          ! 'spr' should not be blank
-!
-! CALLS: ibegst,iendst
-! ..........................................................
-      integer ib, ie, l
-      integer ln, is, ibegst, j, iendst
+c ..........................................................
+c PURPOSE:  Extract substring preceeding separator 'spr'
+c           from 'str' searching from position 'ib' up to
+c           position 'ie' and put it into 'strn(1:l)'.
+c           'ib' is shifted to position following 'spr' or
+c           to 'ie+1', if 'spr' is not found
+c
+c          ! 'spr' should not be blank
+c
+c CALLS: ibegst,iendst
+c ..........................................................
+
+      implicit integer*4 (i-n)
 
       character spr,blnk,str*(*),strn*(*)
-      character*255 logString
-      
       data blnk/' '/
-      
-      integer i, ic, ish, ii
 
       if (spr.eq.blnk) then
-        write (logString, *) ' extstr> Separator should not be blank'
+        write (*,*) ' extstr> Separator should not be blank'
         stop
       endif
@@ -68,5 +64,5 @@
         l=0
         strn=blnk
-! ____________________________ make string in 'strn' left justified
+c ____________________________ make string in 'strn' left justified
       elseif (i.gt.1) then
         j=iendst(strn)
@@ -79,22 +75,21 @@
 
       return
-! ______________________________________________________________ Error
-    1 write (logString, '(a)') 
-     &   ' extstr> Substring to be extracted is too long !'
+c ______________________________________________________________ Error
+    1 write (*,'(a)') ' extstr> Substring to be extracted is too long !'
       stop
 
       end
-! **********************************
+c **********************************
       integer*4 function ibegst(str)
 
-! .............................................................
-! PURPOSE: returns position of 1st non-blank character in 'str'
-!
-! CALLS: none
-!
-! .............................................................
-
-      implicit none
-      integer i
+c .............................................................
+c PURPOSE: returns position of 1st non-blank character in 'str'
+c
+c CALLS: none
+c
+c .............................................................
+
+      implicit integer*4 (i-n)
+
       character blnk,str*(*)
       data blnk/' '/
@@ -111,16 +106,16 @@
       return
       end
-! **********************************
+c **********************************
       integer*4 function iendst(str)
 
-! ..............................................................
-! PURPOSE: returns position of last non-blank character in 'str'
-!
-! CALLS: none
-!
-! ..............................................................
-
-      implicit none
-      integer i
+c ..............................................................
+c PURPOSE: returns position of last non-blank character in 'str'
+c
+c CALLS: none
+c
+c ..............................................................
+
+      implicit integer*4 (i-n)
+
       character blnk,str*(*)
       data blnk/' '/
@@ -137,19 +132,19 @@
       return
       end
-! **************************************
+c **************************************
       integer*4 function iredin(line,in)
 
-! ..........................................
-! PURPOSE: Read integer*4 value 'in' from 'line'
-!          with format 'i9'
-!
-!          iredin=0 : error status
-!          iredin=1 : success
-!
-! CALLS: ibegst,iendst
-! ..........................................
-
-      implicit none
-      integer mxd, ib, ibegst, ie, iendst, il, i0, i9, i, ii, in
+c ..........................................
+c PURPOSE: Read integer*4 value 'in' from 'line'
+c          with format 'i9'
+c
+c          iredin=0 : error status
+c          iredin=1 : success
+c
+c CALLS: ibegst,iendst
+c ..........................................
+
+      implicit integer*4 (i-n)
+
       parameter (mxd=9)                 ! max. # of digits
 
@@ -177,22 +172,22 @@
     1 return
       end
-! *************************************
+c *************************************
       integer*4 function iredrl(line,r)
 
-! ..........................................
-! PURPOSE: Read real*8 value 'r' from 'line'
-!          with format 'd17.6'
-!
-!          iredrl=0 : error status
-!          iredrl=1 : success
-!
-! CALLS: ibegst,iendst
-! ..........................................
-
-      implicit none
-      integer mxd, mxap, mxip, ib, ibegst, ie, iendst, il, ip, ibp
+c ..........................................
+c PURPOSE: Read real*8 value 'r' from 'line'
+c          with format 'd17.6'
+c
+c          iredrl=0 : error status
+c          iredrl=1 : success
+c
+c CALLS: ibegst,iendst
+c ..........................................
+
+      implicit integer*4 (i-n)
+
       parameter (mxd =17,   ! max. # of digits
-     &           mxap= 6,   ! max. # of digits after period
-     &           mxip=mxd-mxap)
+     #           mxap= 6,   ! max. # of digits after period
+     #           mxip=mxd-mxap)
  
       real*8 r
@@ -227,20 +222,17 @@
     1 return
       end
-! **************************
+c **************************
       subroutine tolost(str)
 
-! ..........................................
-!  PURPOSE:  converts 'string' to lower-case
-!  INPUT:    str - string to be converted
-!  CALLS:    ibegst,iendst
-! ..........................................
+c ..........................................
+c  PURPOSE:  converts 'string' to lower-case
+c  INPUT:    str - string to be converted
+c  CALLS:    ibegst,iendst
+c ..........................................
 
       include 'INCL.H'
 
       character*(*) str
-      
-      integer ibegst, iendst
-      
-      integer i, ic, ii, ish
+
       ii=ibegst(str)
       if (ii.gt.0) then
@@ -254,20 +246,16 @@
       return
       end
-! **************************
+c **************************
       subroutine toupst(str)
 
-! ..........................................
-!  PURPOSE:  converts 'string' to upper-case
-!  INPUT:    str - string to be converted
-!  CALLS:    ibegst,iendst
-! ..........................................
+c ..........................................
+c  PURPOSE:  converts 'string' to upper-case
+c  INPUT:    str - string to be converted
+c  CALLS:    ibegst,iendst
+c ..........................................
 
       include 'INCL.H'
 
       character str*(*)
-      
-      integer iendst, ibegst
-      
-      integer i, ii, ic, ish
 
       ii=ibegst(str)
@@ -282,19 +270,19 @@
       return
       end
-! *****************************************************
+c *****************************************************
       integer*4 function iopfil(lun,filnam,stat,format)
 
-! ........................................................
-! PURPOSE: open 'lun' with 'filnam' 'stat' 'format'
-!
-!          returns: 1 = file successful opened
-!                   0 = error during open of existing file
-!                  -1 = file does not exist
-!
-! CALLS: ibegst
-! ........................................................
-
-      integer lun
-      integer i, ibegst, j, k
+c ........................................................
+c PURPOSE: open 'lun' with 'filnam' 'stat' 'format'
+c
+c          returns: 1 = file successful opened
+c                   0 = error during open of existing file
+c                  -1 = file does not exist
+c
+c CALLS: ibegst
+c ........................................................
+
+      implicit integer*4 (i-n)
+
       logical exs
       character*(*) filnam,stat,format
@@ -311,5 +299,5 @@
             if (j.gt.0.and.k.gt.0) then
               open(lun,file=filnam(i:),status=stat(j:),
-     &             form=format(k:),err=1)
+     #             form=format(k:),err=1)
               iopfil=1
             endif
